
Foreman - Feature #213

Add repository management

04/15/2010 04:33 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Joshua Hoblitt   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

RedHat family OS's use epl to locate a copy of ruby, puppet, etc. This should be extended to support all OS families

History

#1 - 05/16/2010 12:43 PM - Ohad Levy

- Target version set to 0.3

#3 - 04/18/2011 09:22 AM - Ohad Levy

- Target version deleted (0.3)

#4 - 11/15/2012 02:10 PM - Joshua Hoblitt

- Assignee set to Joshua Hoblitt

#5 - 11/15/2012 05:53 PM - Joshua Hoblitt

Per discussion in #puppet-dev with samkottler and Dominic, we believe this is a request for the ability to add additional yum/apt/etc. repositories,

beyond just the installation media, to the provisioning script.  At my current site, for $::osfamily = redhat, we have hard coded repos for epel, puppet,

etc. in the kickstart provisioning script.  It would be nice for this to be dynamically configurable via foreman and would allow (some day) katello to push

pulp mirror information into foreman.

#6 - 07/31/2013 08:17 AM - Ohad Levy

- Status changed from New to Closed

work in progress, see https://github.com/theforeman/foreman_content

Closing this, new feature requests should go to the new content project
